
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #962

Pressing asterisk key causes UI Freeze

April 10, 2020 12:22 - Xashyar X

Status: Closed Start date: April 10, 2020

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/qtui Estimated time: 0.00 hour

Target version:    

Affects version: 4.0.4   

Description

I've recently updated from 3.9 to 4.0.1 on Ubuntu. I've previously set some keyboard shortcuts for changing songs etc, but now

pressing the same buttons leads to app freeze  and subsequently force quit. I've looked through the settings and it seems there are

no options to modify or disable the Hotkeys, is the settings totally gone in this version?

History

#1 - April 10, 2020 13:15 - John Lindgren

- Priority changed from Blocker to Major

The Qt interface does not support global hotkeys currently.

You'll have to give more information for this bug report to actually be useful. Start with recreating the issue with a fresh user account and without a

desktop environment running. Then give exact steps to reproduce the issue, and a debugger backtrace showing where in the code the freeze

occurred.

#2 - April 10, 2020 17:25 - Xashyar X

I guess if the new interface doesn't support global hotkeys yet, upon upgrading to version 4.x it should discard or remove any previously set hotkey

input configurations to avoid hangs.

#3 - April 11, 2020 02:44 - John Lindgren

- Status changed from New to Rejected

Closing, not enough information provided to reproduce.

#4 - June 16, 2020 16:32 - Xashyar X

John Lindgren wrote:

Closing, not enough information provided to reproduce.

 

Hello, John

I've discovered that this issue is not related to HotKeys.

I used '/' and '*' (on NumLock) as HotKeys before on Ubuntu.

I have Audacious on a completely new setup on Manjaro (previously on Ubuntu) without any setup hotkeys, but whenever I press one of the

aforementioned keys the app freezes.
#5 - June 17, 2020 00:48 - John Lindgren

Thank you for the additional details. I can reproduce a freeze with the '*' (asterisk) key but still nothing with '/' (slash).

#6 - June 17, 2020 00:55 - John Lindgren

https://github.com/audacious-media-player/audacious-plugins/commit/3fc8dca0820a2adfea6b0a933506ea48d9ed1c43

#7 - June 17, 2020 13:07 - Xashyar X

John Lindgren wrote:

Thank you for the additional details. I can reproduce a freeze with the '*' (asterisk) key but still nothing with '/' (slash).

 

Yup that is true, It's just the '*' key.

Thanks for the quick fix!

#8 - July 10, 2020 20:31 - John Lindgren

- % Done changed from 0 to 100

- Status changed from Rejected to Closed

- Category set to plugins/qtui

- Subject changed from Previously set Hotkeys leads to UI Freeze to Pressing asterisk key causes UI Freeze

- Affects version 4.0.4 added
